Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.IO.IOException Represents errors that are generated from Unix system calls.

If an exception is generated due to an operating system-level error (as opposed to invalid arguments or some fully managed reason), the exception thrown will either inherit from , or the property will be a type inheriting from UnixIOException. In either case, the property will contain the underlying error number that generated the exception. This error number can be used to look up additional information if necessary.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Constructs and initializes a new instance of the class using the last error generated.

  This constructor initializes the property to the value returned by , and initializes the property to a system-supplied message that describes the last error.

  The property is initialized to .

  The value returned by is not a valid error value on this platform.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that specifies which error occurred.
  Constructs and initializes a new instance of the class using the specified error value.

  This constructor initializes the property to , and initializes the property to a system-supplied message that describes .

  The property is initialized to .

  The value is not a valid error value on this platform.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that specifies which error occurred.
  Constructs and initializes a new instance of the class using the specified error value.

  This constructor initializes the property to , and initializes the property to a system-supplied message that describes .

  The property is initialized to .

  The value is not a valid error value on this platform.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that describes the error. The contents of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  Constructs and initializes a new instance of the class using the specified message.

  This constructor initializes the property to 0, and initializes the property to .

  The property is initialized to .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that specifies which error occurred.
  An instance of that is the cause of the current exception. If is non-, then the current Exception was raised in a catch block handling .
  Constructs and initializes a new instance of the class using the specified error value and nested exception.

  This constructor initializes the property to , initializes the property to a system-supplied message that describes , and initializes the property to .

  The value is not a valid error value on this platform.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that specifies which error occurred.
  An instance of that is the cause of the current exception. If is non-, then the current Exception was raised in a catch block handling .
  Constructs and initializes a new instance of the class using the sxpecified error value and nested exception.

  This constructor initializes the property to , initializes the property to a system-supplied message that describes , and initializes the property to .

  The value is not a valid error value on this platform.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A instance.
  A instance.
  Serialization constructor.
  This constructor is intended to be used by the system for serialization purposes.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that describes the error. The contents of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current exception. If is non-, then the current Exception was raised in a catch block handling .
  Constructs and initializes a new instance of the class using the specified error value and nested exception.

  This constructor initializes the property to 0, initializes the property to , and initializes the property to .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Errno Gets the logical error value specified in the constructor. A value describing the error specified in the constructor.

  This is the translated value of .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets the native error value specified in the constructor. A containing the native error value specified in the constructor.

  The native error value and the value of are not going to be the same on all platforms.